Name:           ascii-design
Version:        1.1.1
Release:        1%{?dist}
Summary:        A tool to create ascii arts
License:        GPLv2
URL:            http://ascii-design.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/Ascii-Design%20%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
BuildRequires:  libappstream-glib
Requires:       figlet

%description
Ascii Design is a free program based on figlet engine that enables you to 
create awesome ascii art text. You can create art based text for many types 
of decorations for web sites, e-mail, text files etc...

Ascii Design is also able to use dozens of special fonts to create various 
styles of ascii arts.

%prep
%setup -q
# This is a workaround waiting for https://github.com/Faster3ck/Ascii-Design/pull/7 to be merged
sed -i 's/\r$//' COPYING.TXT

%build
# Using Qt4 for a while
mkdir build && cd build
%cmake ..
make %{?_smp_mflags}

%install
%make_install -C build

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%files
%doc COPYING.TXT README.md
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat May 28 2016 Fabio Alessandro Locati <fabio@locati.cc> - 1.1.1-1
- Update to 1.1.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.0-3
- Rebuilt for GCC 5 C++11 ABI change

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Christopher Meng <rpm@cicku.me> - 1.1.0-1
- Update to 1.1.0

* Wed Jun 11 2014 Christopher Meng <rpm@cicku.me> - 1.0.3-1
- Update to 1.0.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Christopher Meng <rpm@cicku.me> - 1.0.2-2
- Use proper compiler flags to build.

* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 1.0.2-1
- Update to 1.0.2

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 1.0.1-2
- Small fix.

* Thu May 02 2013 Christopher Meng <rpm@cicku.me> - 1.0.1-1
- Initial Package.
